Set fine-tune inference pricing
curl --request PUT \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes/{finetuneId}/pricing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input_usd_per_mtok": 500000,
"output_usd_per_mtok": 500000
}
'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes/{finetuneId}/pricing"
payload = {
"input_usd_per_mtok": 500000,
"output_usd_per_mtok": 500000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input_usd_per_mtok: 500000, output_usd_per_mtok: 500000})
};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/finetunes/{finetuneId}/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_name": "<string>",
"base_model": "<string>",
"default_temperature": 0,
"status": "queued",
"training_progress": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"relabel_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_config": {
"max_examples": 2,
"config": {
"batch_size": "auto",
"learning_rate": 1,
"assistant_turns": "all",
"metric_logging": {}
},
"experimental_config": {}
},
"dataset_artifact_ref": "<string>",
"model_artifact_ref": "<string>",
"input_usd_per_mtok": 123,
"output_usd_per_mtok": 123
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Set fine-tune inference pricing
PUT
/
tasks
/
{alias}
/
finetunes
/
{finetuneId}
/
pricing
Set fine-tune inference pricing
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Body
application/json
Response
Updated fine-tune.
Required range:
0 <= x <= 2Available options:
queued, training, deployed, failed Required range:
0 <= x <= 100Show child attributes
Show child attributes
Last modified on August 25, 2026
Was this page helpful?
⌘I